module.exports = {
  'env': {
    'browser': true,
    'es2021': true,
    'node': true,
  },
  'extends': [
    'plugin:react/recommended',
    'google',
  ],
  'parser': '@typescript-eslint/parser',
  'parserOptions': {
    'ecmaFeatures': {
      'jsx': true,
    },
    'ecmaVersion': 12,
    'sourceType': 'module',
  },
  'plugins': [
    'react',
    '@typescript-eslint',
  ],
  'settings': {
  	'react': {
		'version': 'detect',
	},
  },
  'rules': {
  	'indent': ['error', "tab"],
	'no-tabs': ['error', {'allowIndentationTabs': true}],
	'max-len': ['error', {'tabWidth': 4}],
  },
};
