import React from 'react';

interface DisplayProps {
	text: string;
}

/**
 * @return {jsx} The root component
 */
export default function Display(
	{text}: DisplayProps) {
	const containerStyle = {
		height: `200px`,
	};

	return (
		<React.Fragment>
			<div
				className='container
					w-75 d-flex justify-content-center align-items-center
					display-4 font-weight-bold'
				style={containerStyle}>
				{text}
			</div>
		</React.Fragment>
	);
}
