import Sequelize, {DataTypes, Model} from 'sequelize';
import sequelize from '../dbobject';

export interface uniqueLinkI extends Model {
	id: string;
	createdAt: Date;
}

const UniqueLink = sequelize.define<uniqueLinkI>('uniquelink', {
	id: {
		type: DataTypes.UUID,
		allowNull: false,
		unique: true,
		primaryKey: true,
		defaultValue: Sequelize.UUIDV4,
	},
});

export default UniqueLink;
