import React from 'react';
import Display from './Display';
import Presentation from './Presentation';

/**
 * @return {jsx} The homepage component
 */
export default function About() {
	return (
		<React.Fragment>
			<Display text='Qui sommes nous ?' />
			<hr />
			<Presentation
				name='Yoan'
				status='Ingénieur en Informatique – Apprenti vagabond'
				description={<p>J’ai décidé de faire ce voyage en Europe pour
				découvrir le monde, rencontrerdes gens différents et quitter mes
				routines.<br />
				Je ne suis jamais sortit hors de la France.<br />
				Apres avoir reçut mon diplôme de l’école 42, le moment était
				venu de quitter mon confort et mes habitudes.<br />
				J’ai quitter mon job d’ingénieur logiciel et mon logement sur
				Paris pour vivre ces péripéties.</p>}
				image='yoan.webp'
			/>
		</React.Fragment>
	);
}
