import Sequelize, {DataTypes, Model} from 'sequelize';
import sequelize from '../dbobject';

export interface tagI extends Model {
	id: string;
	articleId: string;
	name: string;
}

const Tag = sequelize.define<tagI>('tag', {
	id: {
		type: DataTypes.UUID,
		allowNull: false,
		unique: true,
		primaryKey: true,
		defaultValue: Sequelize.UUIDV4,
	},
	name: {
		type: DataTypes.STRING,
		allowNull: false,
	},
});

export default Tag;
